## net.sf.saxon.regex
Class SurrogateRegexTranslator.SingleChar

    java.lang.Object
      net.sf.saxon.regex.SurrogateRegexTranslator.CharClass
          net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
              net.sf.saxon.regex.SurrogateRegexTranslator.SingleChar

Enclosing class:
  SurrogateRegexTranslator

    public static class SurrogateRegexTranslator.SingleChar

extends SurrogateRegexTranslator.SimpleCharClass

Character class that matches a single specific character in the BMP

Constructor Summary
`SurrogateRegexTranslator.SingleChar(char c)` Create a character class for a single BMP character

Method Summary
`int` `getSingleChar()` Get the character represented by this character class
`void` `inClassOutputBmp(FastStringBuffer buf)` Output a representation of the subset of this character class that's within the BMP, to a supplied buffer, using regex syntax that will be valid within a character class expression (that is, within square brackets)
`void` `outputBmp(FastStringBuffer buf)` Output a representation of this character class to a supplied buffer @param buf the supplied buffer

Methods inherited from class net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
`outputComplementBmp`

Methods inherited from class net.sf.saxon.regex.SurrogateRegexTranslator.CharClass
`addNonBmpRanges, getContainsBmp, getContainsNonBmp, output`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurrogateRegexTranslator.SingleChar

    public SurrogateRegexTranslator.SingleChar(char c)

  Create a character class for a single BMP character

  Parameters:
    `c` - the character

Method Detail

### getSingleChar

    public int getSingleChar()

  Get the character represented by this character class

  Overrides:
    `getSingleChar` in class `SurrogateRegexTranslator.CharClass`
  Returns:
    the character

### outputBmp

    public void outputBmp(FastStringBuffer buf)

  Output a representation of this character class to a supplied buffer @param buf the supplied buffer

  Overrides:
    `outputBmp` in class `SurrogateRegexTranslator.SimpleCharClass`
  Parameters:
    `buf` - the supplied buffer

### inClassOutputBmp

    public void inClassOutputBmp(FastStringBuffer buf)

  Description copied from class: `SurrogateRegexTranslator.SimpleCharClass`
  Output a representation of the subset of this character class that's within the BMP, to a supplied buffer, using regex syntax that will be valid within a character class expression (that is, within square brackets)

  Specified by:
    `inClassOutputBmp` in class `SurrogateRegexTranslator.SimpleCharClass`
  Parameters:
    `buf` - the supplied buffer

Copyright (c) Saxonica Limited. All rights reserved.